# whoosh search

using python whoosh to create a search engine
for a pile of markdown documents.

## quickstart notes

See [quickstart_notes.md](quickstart_notes.md)

## fake-docs

We have the [charlesreid1/fake-docs](https://git.charlesreid1.com/charlesreid1/fake-docs)
repo as a submodule of this repo. 

## alpha: simple markdown index

alpha: phase 1: build a simple search engine index for a pile of
markdown files.

important notes:

* there are many ways to implement a search query
* when you create your schema you truly define everthing
  about the documents - including what is stored.

metadata in search:

* to access metadata in a search, it must be STORED.
  example: when you do the search, if you want to have
  highlighting, every record should store its own
  full text.

* alternatively, if the data can be obtained some other
  way on-the-fly, that would save memory/space.




